# 概述

**在订单相关事件发生后，AsiaBill系统会触发webhook，调用商户交易时给定的CallbackUrl，来通知商户相关系统；**

商户对接需注意以下几点：

* webhook是服务器到服务器之间的数据返回；如果商户服务器有白名单控制，请联系 AsiaBill技术支持提供，webhook服务器ip地址
* 通知地址是根据交易接口参数 callbackUrl 的值进行传输的
* webhook需商户通知接口返回报文success（不区分大小写）才算通知成功，其他返回均为失败，会继续通知
* webhook在未成功返回的情况下，总通知时长为17个小时，共十五次，推送间隔分别为：15s/15s/30s/3m/3m/30m/30m/1h/2h/2h/2h/2h/2h/2h
* 同样的webhook可能会多次发送给商户系统。商户系统必须能够正确处理重复的webhook通知；以避免出现商户系统状态覆盖问题。

### 事件类型

| 事件代码                    | 事件描述    |
| ----------------------- | ------- |
| transaction.success     | 交易成功事件  |
| transaction.fail        | 交易失败事件  |
| transaction.pending     | 交易待处理事件 |
| transaction.clear       | 交易清算事件  |
| pre-authorized.captured | 预授权捕获事件 |
| pre-authorized.void     | 预授权取消事件 |
| refund.success          | 退款成功事件  |
| refund.fail             | 退款失败事件  |
| chargeback.success      | 拒付成功事件  |

### 签名

签名方式请参考附录[webhook签名](/api-explorer/fu-lu/shu-ju-qian-ming-guo-cheng.md#5-dui-jie-guo-shu-ju-qian-ming-jie-kou-xiang-ying-webhook-tong-zhi)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://asiabill.gitbook.io/api-explorer/webhook/gai-shu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
